Subject: bug#1533 closed by Adrian Robert <[email-masked]> (Re: 23.0.60; `apropos-print' doesn't work)

From: [email-masked] (Emacs bug Tracking System)
Date: Sat, 24 Jan 2009 10:35:04 +0000

This is an automatic notification regarding your bug report
which was filed against the emacs,ns package:

#1533: 23.0.60; `apropos-print' doesn't work

It has been closed by Adrian Robert <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Adrian Robert <[email-masked]> by
replying to this email.

-- 
1533: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=1533
Emacs Bug Tracking System
Contact [email-masked] with problems

Subject: Re: 23.0.60; `apropos-print' doesn't work
From: Adrian Robert <[email-masked]>
To: [email-masked]
Date: Sat, 24 Jan 2009 12:28:07 +0200

Closing, fixed by change to how menu-bar-select-frame is called in ns- 
win.el: menu-bar-update-frames.

This issue may come up again, depending on how menu items are defined  
(if they include a vector or pseudovector somewhere in their key  
sequence).

>From [email-masked] Wed Dec 10 11:27:16 2008
From: Ian Eure <[email-masked]>
To: [email-masked]
Subject: 23.0.60; `apropos-print' doesn't work
Date: Wed, 10 Dec 2008 11:27:01 -0800

When I try to use some apropos commands, I get this error:

apropos-print: Key sequence contains invalid event

This happens when I do:

C-h a frame RET

It works fine if I use M-x apropos RET frame RET.

In GNU Emacs 23.0.60.1 (i386-apple-darwin9.5.0, NS apple-appkit-949.35)
  of 2008-12-10 on neutron.local
Windowing system distributor `Apple', version  
97.112.112.108.101.45.97.112.112.107.105.116.45.57.52.57.46.51.53
configured using `configure  '--with-ns''

Important settings:
   value of $LC_ALL: nil
   value of $LC_COLLATE: nil
   value of $LC_CTYPE: nil
   value of $LC_MESSAGES: nil
   value of $LC_MONETARY: nil
   value of $LC_NUMERIC: nil
   value of $LC_TIME: nil
   value of $LANG: nil
   value of $XMODIFIERS: nil
   locale-coding-system: nil
   default-enable-multibyte-characters: t

Major mode: Emacs-Lisp

Minor modes in effect:
   erc-track-mode: t
   erc-track-minor-mode: t
   erc-spelling-mode: t
   erc-ring-mode: t
   erc-pcomplete-mode: t
   erc-netsplit-mode: t
   erc-autojoin-mode: t
   twit-mode: t
   shell-dirtrack-mode: t
   yas/minor-mode: t
   ime-bindings: t
   erc-match-mode: t
   erc-button-mode: t
   erc-fill-mode: t
   erc-irccontrols-mode: t
   erc-noncommands-mode: t
   erc-readonly-mode: t
   erc-scrolltobottom-mode: t
   show-paren-mode: t
   iswitchb-mode: t
   auto-insert-mode: t
   tooltip-mode: t
   mouse-wheel-mode: t
   menu-bar-mode: t
   file-name-shadow-mode: t
   global-font-lock-mode: t
   font-lock-mode: t
   blink-cursor-mode: t
   global-auto-composition-mode: t
   auto-composition-mode: t
   auto-encryption-mode: t
   auto-compression-mode: t
   size-indication-mode: t
   column-number-mode: t
   line-number-mode: t
   transient-mark-mode: t
   abbrev-mode: t

Recent input:
s SPC w a s SPC s e a t t <M-backspace> i n SPC t h
e SPC p n w , SPC s o SPC i t SPC h a d SPC r a i n
e d SPC t h e SPC d a y SPC b e f o r e . SPC t h e
r e SPC w a s SPC a SPC n i c e SPC l a y e r SPC o
f SPC i c e SPC u n d e r SPC t h e SPC s n o w . <return>
M-` M-` C-c C-SPC C-c C-SPC M-` C-x b * C-g C-g M-x
e l i s p - s c <tab> <return> M-( d e f u n SPC M-(
e r c - f r a m e M-b C-b C-b C-b C-b C-b C-x p M-f
M-f SPC M-( M-) M-( i n t e r a c M-b C-b C-M-k C-h
v f r <tab> a m <tab> <tab> C-g C-h v f r <tab> a m
<tab> <tab> <backspace> s <tab> <backspace> <tab> <tab>
<tab> C-g C-h f n e x t - f r <tab> <return> <help-echo>
<down-mouse-1> <mouse-movement> <mouse-1> C-u C-h a
f r a m e <return> C-u C-h C-g C-g C-h a f r a e <return>
C-h a f a m <backspace> <backspace> r a e <backspace>
m e <return> M-` C-c C-SPC M-` <switch-frame> M-" p
l e a t h <backspace> <backspace> <backspace> <backspace>
a t h r o p SPC n e e d s SPC f o o d SPC b a d l y
? <return> <switch-frame> <wheel-up> <menu-bar> <help-menu>
<send-emacs-bug-report> C-g C-h k C-h a <down-mouse-1>
<mouse-movement> <mouse-1> <menu-bar> <help-menu>
<send-emacs-bug-report>

Recent messages:
Making completion list... [2 times]
Quit
Making completion list... [3 times]
Quit
Type C-x 4 C-o RET to restore the other window.
apropos-print: Key sequence contains invalid event
Quit
No apropos matches for `frae'
apropos-print: Key sequence contains invalid event
byte-code: Beginning of buffer
Quit